BLADEENC(1)

NAME
bladeenc - free, cross-platform, console-based MP3 encoder

SYNOPSIS
bladeenc [global switches] input1 [output1 [switches]] input2 ...

COPYRIGHT
BladeEnc is Copyright (C) 1999-2001 by Tord Jansson <tord.jansson@swipnet.se>

DESCRIPTION
BladeEnc is a program to generate MP3 files from WAV, AIFF or RAW sound files. BladeEnc is available for most modern computer platforms, including Windows, Linux, BeOS, MacOS, UnixWare, Solaris, FreeBSD, NetBSD, OpenBSD, OS/2 and many more.

BladeEnc is free software distributed under the LGPL license and the sourcecode is available from the homepage for those who might be interested.

Windows users will find that it looks like a DOS-program, but it is in fact a true 32-bit Windows application that supports long filenames etc. This text based interface might be a bit harder for the beginner, but makes it easy to make automated scripts (like BAT-files) to perform your tasks and makes BladeEnc a doodle to port to all modern operating systems except MacOS. A large selection of graphical frontends are available from my homepage for those who prefer to do their encoding just by moving and clicking their mouse.

On BladeEnc 's homepage you can also find some more detailed information about BladeEnc , including a FAQ (answers to Frequently Asked Questions), speed comparisons with other encoders and information about the quality of MP3s generated by BladeEnc .

You can also go to the link section of the homepage if you want some more information about MP3 in general or needs an MP3 Player.

OPTIONS
All commandline switches are case-insensitive, so you can enter them in either upper- or lower-case.

-[bitrate], -br [bitrate]
    Defines the bitrate for the MP3-file. Higher bitrates gives better quality, but also bigger files. Most people prefer to generate 128 kBit MP3s. Please note that it's the total bitrate that is specified, so if you're generating a stereo MP3-file at 128 kBit you get 64 kBit for left channel and 64 kBit for the right channel. The default setting is 128 kBit for stereo files and 64 kBit for mono files.

    Allowed bitrates are: 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256 and 320.

-concat
    Concatenates the output generated from this file to the last mp3 generated, thus making one mp3 file from two or more sample files. This option also automatically enables -nogap.

-crc
    Adds checksum data to each frame in the MP3 file. The checksum data is useful for error-correction when streaming the MP3 in realtime over internet (as done by internet radio stations). It lowers the quality of the sound slightly since the checksum data also needs to fit in the specified bitrate and is not needed for normal use.

-delete, -del
    The WAV-file is automatically deleted after having been encoded. Be careful with this switch because the WAV-file is deleted even if the encoding process failed (for example due to insufficient drive space).

-mono, -dm
    Downmixes stereo input files to mono before they are compressed, thus generating mono MP3 files. This switch does nothing if the input file already is mono.

-leftmono, -lm
    Takes only the left channel of the input file and encodes it into a mono MP3. If the input file is mono it will be compressed as it is.

-rightmono, -rm
    Takes only the right channel of the input file and encodes it into a mono MP3. If the input file is mono it will be compressed as it is.

-swap
    Swaps the left and right channels of stereo input files before encoding them.

-private, -p
    Sets the private-flag in the MP3-file, specifying that this is a private MP3. As far as I know there is no program that treats private MP3's differently from normal ones so it is practically useless.

    Setting this flag doesn't affect the encoding time, file size or quality in any way, so set it if it makes you happy.

-copyright, -c
    Sets the copyright-flag in the MP3-file, specifying that this is a copyrighted MP3. As far as I know there is no program that treats copyrighted MP3's differently from normal ones so it is practically useless.

    Setting this flag doesn't affect the encoding time, filesize or quality in any way, so set it if it makes you happy.

-copy
    This switch clears the MP3 file's original-flag that is set by default from version 0.50 of BladeEnc.

    Clearing the original-flag doesn't affect the encoding time, filesize or quality in any way, so do it if it makes you happy.

-quiet
    Prevents BladeEnc from doing any screen output, except for error messages. This is mostly useful if you want to run bladeenc as a background process on UNIX systems. The screen output takes nearly no time at all, so you won't even save 1% by disabling screen output. This switch is global only.

-quit, -q
    Makes BladeEnc quit automatically when all files have been encoded. Normally BladeEnc waits for someone to press RETURN before quitting. This switch is global only.

-outdir=[path]
    Specifies an output path for the encoded files. Normally the MP3 files ends up in the same directory as their corresponding WAV-files resides in, but using this switch you can get them to end up wherever you like. This switch is global only.

-prio=[setting]
    Changes the task priority of BladeEnc. Valid settings are HIGHEST, HIGHER, NORMAL, LOWER, LOWEST and IDLE. BladeEnc is by default set to LOWEST priority which basically means that BladeEnc functions fine in the background without disturbing or slowing down any other program. Linux/Unix users can also specify prio in the normal unix range of -20 to +20. This switch is global only. This setting is not available in all ports.

-rawfreq=[frequency]
    Specifies the frequency for raw samples in hertz. Default is 44100.

-rawbits=[samplebits]
    Specifies the number of bits for each sample in a raw sample file. Allowed values are 8 and 16. Default is 16.

-rawmono
    Specifies that raw samples are mono, not stereo.

-rawstereo
    Specifies that raw samples are stereo, not mono. This is default, so you won't have to use this switch unless you want to override a global -rawmono switch.

-rawsigned
    Specifies that raw samples are signed, i.e. contains values in the range -32768 to +32767 (16-bit samples) or -128 to +127 (8-bit samples). This is default, so you won't have to use this switch unless you want to override a global -rawunsigned switch.

-rawunsigned
    Specifies that raw samples are unsigned, i.e. contains values in the range 0 to 65535 (16-bit samples) or 0 to 255 (8-bit samples).

-rawbyteorder=[LITTLE/BIG]
    Specifies the byteorder of raw samples. LITTLE gives LITTLE_ENDIAN (Intel x86 style) and BIG gives BIG_ENDIAN (Motorola style). Default is whatever is the native byteorder for your system, so hopefully you won't have to use this switch.

-rawchannels=[1/2]
    Specifies the number of channels in a raw sample. -rawchannels=1 gives the same result as -rawmono and -rawchannels=2 give the same result as -rawstereo. Default is 2.

-nocfg
    Ignore whatever is specified in the config file. This switch is global only.

-refresh=[1+]
    Specifies which of the 7 available progress indicators to use or turns the progress indicator off if set to 0. The default progress indicator is number 1. Changing the progress indicator doesn't affect the encoding in any way it just lets you configure the look of BladeEnc a little bit according to your own taste:

    1. Percentage and ETA shown for file and batch (default).

    2. Long bar for file progress.

    3. Long bar for batch progress.

    4. Short bars for file and batch progress.

    5. Samples done/total for file and batch.

    6. ETA shown for file and batch.

    7. Seconds of MP3 generated from file (default for RAW samples).

    8. Alternative long bar for file progress. Doesn't rewind the cursor so it produces less output and works well when redirecting program output to a file.

    If a RAW sample is included in the batch you automatically gets progress indicator 7 for technical reasons. This switch is global only.

-nogap
    Specifies that there should be no audiable gap between this and the next sample if they are played after each other. Useful when encoding records where the tracks blend into each other, but can cause unwanted side effects otherwise. Please see the section "Gapless encoding" below for more information.

-sort
    Sorts the specified input files according to filename before encoding them. Useful when using the -nogap switch combined with wildcards since it's critical that the tracks are encoded in the right order when doing gapless encoding. This switch is global only.

AUTHORS

Program Author:
    Tord Jansson <tord.jansson@swipnet.se>

Manpage Author:
    Daniel Baumann <daniel.baumann@panthera-systems.net>

BUGS

Report problems to Tord Jansson <tord.jansson@swipnet.se>.